
# Script that creates a File Event Generator

from java.util import Date
from java.text import SimpleDateFormat
from java.lang import Integer

import com.bea.wli.mbconnector.file as fileeggen
import com.bea.wli.management.configuration as wlicfg
import java.lang.Boolean as bool
import java.util as util
import java.io as io
import jarray
import sys
import wlst

print 'Starting the File Event Generation Configuration script .... '

pFile = io.FileInputStream(sys.argv[1])
properties = util.Properties()
properties.load(pFile)
fileEgName = properties.getProperty('FileEGName')
userName=properties.getProperty('userName')
passWord=properties.getProperty('passWord')
URL=properties.getProperty('URL')
adminServerName=properties.getProperty('adminServerName')
	
if connected != 'true':
   print 'Connecting to weblogic server .... '
   connect(userName,passWord,URL)
else:
   print 'Connected'

print 'Getting server MBean .... '
serverMBean = getMBean("Servers/" + adminServerName);

if serverMBean is None:
  print 'ERROR: Local Admin Server ' + adminServerName + ' Not Exist'
  exit()

try:

    print "Deleting File EG ", fileEgName

    print("config")
    wlst.config()

    print("getTarget")
    fEventGen = getTarget("FileEventGenerators/FileEventGenerators")

    print("get file configuration beans")
    fEventConfigs = fEventGen.getFileEventGenConfigurationMBeans()
	
    for fconf in fEventConfigs:
	  fname = fconf.getEventGeneratorName()
	  if fname == fileEgName:
	    fEventGen.deleteFileEventGenConfigurationMBean(fconf)
	    break

    print "script returns SUCCESS"   

except:
    print "ERROR: configuration"
    dumpStack()

# Finished
print 'Disconnecting from server...'
disconnect('y')
print 'Finished.'
exit()
